package com.yonge.cooleshow.biz.dal.queryInfo;

import com.yonge.cooleshow.biz.dal.enums.AuditStatusEnum;
import com.yonge.toolset.mybatis.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class ImGroupMemberAuditQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "审核状态")
    private String auditStatus = AuditStatusEnum.AUDITING.getCode();

    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @NotBlank(message = "群编号不可为空")
    @ApiModelProperty(value = "群编号")
    private String groupId;

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }
}
